# Macro proc_macro_error::diagnostic

source · [−]

    macro_rules! diagnostic {
        ($err:expr) => { ... };
        ($span:expr, $level:expr, $fmt:expr, $($args:expr),+ ; $($rest:tt)+) => { ... };
        ($span:expr, $level:expr, $msg:expr ; $($rest:tt)+) => { ... };
        ($span:expr, $level:expr, $fmt:expr, $($args:expr),+) => { ... };
        ($span:expr, $level:expr, $msg:expr) => { ... };
        ($span:expr, $level:expr, $fmt:expr, $($args:expr),+, ; $($rest:tt)+) => { ... };
        ($span:expr, $level:expr, $msg:expr, ; $($rest:tt)+) => { ... };
        ($span:expr, $level:expr, $fmt:expr, $($args:expr),+,) => { ... };
        ($span:expr, $level:expr, $msg:expr,) => { ... };
    }

Expand description

Build `Diagnostic` instance from provided arguments.

## Syntax

See the guide.